using System;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;

namespace CSysVars
{
	/// <summary>
	/// Zusammendfassende Beschreibung fr Class1.
	/// </summary>
	public class Utils{


		public Utils(){
			//
			// TODO: Fgen Sie hier die Konstruktorlogik hinzu
			//
		}

    public static string SymbolIdToName(ObjectId symId){
		  string str = null;
		    
      using (DBObject tmpObj = symId.Open(OpenMode.ForRead)){
        SymbolTableRecord rec = tmpObj as SymbolTableRecord;
        if (rec != null){
          str = rec.Name;
        }
        rec.Close();
      }
      return str;
    }

    public static Point3d StringToPoint3d(string str){
      str = str.Substring(1, str.Length - 2);
      char[] separators = new char[]{' '};
      string[] r = str.Split(separators, 3);
      return new Point3d(Convert.ToDouble(r[0]), Convert.ToDouble(r[1]), Convert.ToDouble(r[2]));
    }
    public static Point2d StringToPoint2d(string str){
      str = str.Substring(1, str.Length - 2);
      char[] separators = new char[]{' '};
      string[] r = str.Split(separators, 2);
      return new Point2d(Convert.ToDouble(r[0]), Convert.ToDouble(r[1]));
    }
    public static Vector3d StringToVector3d(string str){
      str = str.Substring(1, str.Length - 2);
      char[] separators = new char[]{' '};
      string[] r = str.Split(separators, 3);
      return new Vector3d(Convert.ToDouble(r[0]), Convert.ToDouble(r[1]), Convert.ToDouble(r[2]));
    }
    public static Vector2d StringToVector2d(string str){
      str = str.Substring(1, str.Length - 2);
      char[] separators = new char[]{' '};
      string[] r = str.Split(separators, 2);
      return new Vector2d(Convert.ToDouble(r[0]), Convert.ToDouble(r[1]));
    }
	}
}
