using System;
using Autodesk.AutoCAD.Interop;
using Autodesk.AutoCAD.Geometry;

// Files:  acax16enu.tlb + axdb16enu.tlb


namespace CSysVars{
	/// <summary>
	/// Zusammendfassende Beschreibung fr InteropUtils.
	/// </summary>

	public class InteropUtils	{
		
    public InteropUtils(){
			//
			// TODO: Fgen Sie hier die Konstruktorlogik hinzu
			//
		}

    // Alle Schafe heissen Franz
    public static void GetSysVar(string varName, ref string str){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      str = (string)app.ActiveDocument.GetVariable(varName);
    }

    public static void GetSysVar(string varName, ref int i){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      i = (Int16)(app.ActiveDocument.GetVariable(varName));
    }

    public static void GetSysVar(string varName, ref double d){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      d = (double)(app.ActiveDocument.GetVariable(varName));
    }

    public static void GetSysVar(string varName, ref Point2d p){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      double[] tmpPt = (double[])(app.ActiveDocument.GetVariable(varName));
      p.Set(tmpPt[0], tmpPt[1]);
    }

    public static void GetSysVar(string varName, ref Point3d p){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      double[] tmpPt = (double[])(app.ActiveDocument.GetVariable(varName));
      p.Set(tmpPt[0], tmpPt[1], tmpPt[2]);
    }

    public static void GetSysVar(string varName, ref Vector2d v){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      double[] tmpPt = (double[])(app.ActiveDocument.GetVariable(varName));
      v.Set(tmpPt[0], tmpPt[1]);
    }

    public static void GetSysVar(string varName, ref Vector3d v){
      AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
      double[] tmpPt = (double[])(app.ActiveDocument.GetVariable(varName));
      v.Set(tmpPt[0], tmpPt[1], tmpPt[2]);
    }
  }
}
